Turbo Analyst Product Information
---------------------------------
TurboPower Software offers Turbo Analyst 7.0, a comprehensive
collection of analytical tools that help you write better and faster
Turbo Pascal 4.0-7.0, Borland Pascal 7.0, or Turbo Pascal for Windows
programs. These tools multiply your effectiveness by automating common
programming tasks and providing assistance as you write, debug,
document, and fine tune your code.

The analytical tools of Turbo Analyst include:

1. Analyst Integrated Environment
   - Context sensitive help and configuration control for
     all of the other Analyst utilities
   - Editor and virtual file browser in separate windows
   - Run the Analyst utilities, the compiler, and the Turbo
     Pascal standalone debugger using hot keys
   - Integrated mouse support
   - Complete macro system

2. Pascal Formatter
   - Regularizes indentation and spacing of your source code
   - Provides capitalization control for keywords and identifiers

3. Program Lister
   - Creates paginated listings with headers and footers
   - Highlights keywords and variables
   - Draws brackets for visible program structure
   - Offers flexible printer support and configuration

4. Program Structure Analyzer
   - Parses Pascal source code just like the compiler
   - Protected mode operation allows fast analysis of huge programs.
     Real mode virtual memory version also available
   - Provides over two dozen reports about your code, including
     . Cross reference report
     . Unused, exposed, uninitialized variable report
     . Program index report
     . Procedure bindings report
     . Used files report
     . Constant parameters report
     . Call hierarchy report
     . Side effect report
     . Duplicate identifiers report
     . Program statistics report
     . Overlay optimization report
     . Optimal uses report
     . Circular unit references report
     . Object hierarchy
     . Method hierarchy
     . Method override report
     . Dangerous object field references

5. Execution Profilers
   - Convenient, low overhead profiling units
   - Report on time spent in each procedure, function, and method
   - Report on number of times each source line is executed
   - Report on frequency of execution at the CPU instruction level
   - Offers interactive data browsing mode with symbolic feedback
   - Procedure timing and line count profilers can profile DOS
     protected mode applications

6. Binary File Utilities
   - Pack and modify Turbo Pascal (DOS format) EXE files
   - Investigate and disassemble TPU, TPW, and TPP files

All Turbo Analyst utilities are DOS applications. The source and TPU
analysis tools can be used on both DOS and Windows Turbo Pascal
applications.


Price and Shipping Info
-----------------------
Turbo Analyst 7.0 costs $149, including the Pascal source code for the
programs. Upgrades from earlier Turbo Analyst versions are available:

  Upgrade type                    Cost   Shipping  Manuals Provided?
  ----------------------------   -----   --------  -----------------
  Turbo Analyst 6.0 to 7.0         $49     $0/$5       No
  Turbo Analyst 5.0 to 7.0         $79   see below    Yes
  Turbo Analyst 4.0 to 7.0         $89   see below    Yes

All disks are 3.5" media (720K).

TurboPower Software offers the Electronic Maintenance System, which
delivers maintenance updates at no charge other than the cost of a
download. More information about the EMS is available in the file
UPDATE.TXT.

For more information, or to order, call 1-800-333-4160 from 9 a.m. to
5 p.m. Mountain time, or write to TurboPower Software, P.O. Box 49009,
Colorado Springs, CO 80949. International customers call 719-260-9136.
Send faxes to 719-260-7151. Send CompuServe mail to 76004,2611. Visit
our CompuServe area in PCVENB section 6. We accept MasterCard, Visa,
American Express, Discover, a check in U.S. funds drawn on a U.S.
bank, or COD (within U.S. only).

  Version 7.0
  3.5" media only
  Weight 2.0 pounds
  Price $149 plus shipping
      FedEx Economy   $10     U.S. only                 (2 days)
      Airmail          $5     U.S. only                 (3-10 days)
      Airmail         $10     Canada only               (3-10 days)
      Airmail         $20     Elsewhere                 (7-21 days)
