Object Professional Product Information
---------------------------------------
Object Professional is a library of over 2000 methods and procedures
for writing sophisticated DOS text mode applications with Turbo Pascal
5.5, 6.0, or 7.0. The professional quality objects are flexible,
powerful, and easy to use.

A set of base objects is provided for general purpose data
manipulation. These include

 o stacks
 o lists
 o bit sets
 o string sets
 o dictionaries
 o virtual arrays
 o object-oriented disk I/O

An extremely powerful collection of objects is available for user
interface design. The base object is the window, which provides
flexible methods for headers, shadows, frames, zooming, moving,
resizing, exploding, mouse hot spots, scroll bars, and virtual
screens. Inheriting these capabilities from the window object are
higher level objects for

 o pick lists
 o directory and pathname lists
 o pull-down, pop-up, and Lotus-style menu systems
 o context-sensitive, hypertext help systems
 o text and binary file browsing with no limit on file size
 o complete window-oriented text editing, including word wrap, find and
   replace, and block operations

Another family of objects provides data entry and reporting
capabilities. These include

 o simple line editing
 o validated, formatted entry of all data types
 o multi-line text fields
 o scrolling data entry screens
 o SAA/CUA-style dialog boxes
 o customizable printed reports

Mouse support is integrated into all user-interface objects.

Finally, Object Professional includes a number of non-object-oriented
units for low-level system access. These include

  o easy and reliable ways to make programs memory resident
  o a swapping TSR manager to fit memory resident programs in only 6K
    of RAM
  o CRT control, with cursor manipulation, support for multi-tasking
    utilities like Desqview, and flexible fastwriting
  o interrupt service routine support
  o advanced DOS access, including a swapping Exec function
  o keyboard macros and macro editing
  o highly accurate BCD floating point arithmetic
  o extended and expanded memory access
  o comprehensive string manipulation, including ASCIIZ strings
  o sorting and searching
  o enhanced keyboard access
  o mouse control

Object Professional also comes with useful and powerful demo programs,
including a memory resident programmer's assistant (reference chart,
calculator, file browser, text editor, phone book) that fits into only
6K of RAM. Object Professional is accompanied by 1800 pages of
up-to-date printed documentation, online reference guide, intelligent
installation program, complete source code, a disk of bonus units,
responsive technical support, and a royalty-free license for use in
commercial applications.

Price and Shipping Info
-----------------------
Object Professional costs $249. Upgrades from earlier Object
Professional versions are available:

  Upgrade type                    Manual  Price     Shipping
  ----------------------------------------------------------
  OPRO 1.2x  to   1.3x             Yes      $49    see below
  OPRO 1.1x  to   1.3x             Yes       79    see below
  OPRO 1.0x  to   1.3x             Yes       89    see below

Object Professional supports Turbo Pascal 5.5, 6.0, and 7.0, as well
as Borland Pascal 7.0 for both real mode and protected mode DOS
applications.

TurboPower Software offers the Electronic Maintenance System, which
delivers maintenance updates at no charge other than the cost of a
download. More information about the EMS is available in the file
UPDATE.TXT.

For more information, or to order, call 1-800-333-4160 from 9 a.m. to
5 p.m. Mountain time, or write to TurboPower Software, P.O. Box 49009,
Colorado Springs, CO 80949. International customers call 719-260-9136.
Send faxes to 719-260-7151. Send CompuServe mail to 76004,2611. Visit
our CompuServe area in PCVENB section 6. We accept MasterCard, Visa,
American Express, Discover, a check in U.S. funds drawn on a U.S.
bank, or COD (within U.S. only).

  Version 1.3
  3.5" media only
  Weight 6.0 pounds
  Price $249 plus shipping
      FedEx Economy   $10     U.S. only                 (2 days)
      Airmail          $5     U.S. only                 (3-10 days)
      Airmail         $10     Canada only               (3-10 days)
      Airmail         $40     Elsewhere                 (7-21 days)
