Win/Sys Library Product Information
-----------------------------------
Win/Sys Library provides an advanced set of system-level tools to put
real horsepower behind Windows applications. Essential routines let
you focus on the unique features of *your* program. You get:

  - a comprehensive set of string manipulation functions
  - date/time manipulation with international support
  - fast 1D and 2D arrays holding up to 64 megabytes of any data type
  - fast sorting of up to 64 megabytes of data
  - general purpose data structures for huge collections, bitsets,
    dictionaries, dynamic string tables, linked lists, stacks, trees,
    and queues
  - DPMI access for interrupt handling, communication with DOS TSRs,
    and advanced memory control
  - timing, delay, and sound functions
  - DOS functions for drive control and environment access
  - fast inline macros for common low-level data manipulation
  - runtime and exception error trapping and recovery
  - heap analysis tools to find memory leaks

Win/Sys Library functions are provided in DLLs with interface modules
for Turbo Pascal, Borland C++, and Microsoft C/C++. (A few of the
routines, including the inline macros and linked list objects, are
coded directly in the target language for direct linking into the
application.) Critical routines are coded in assembly language for
smallest size and best performance. Speed-sensitive routines take
advantage of 32-bit CPUs, when available. Memory-intensive routines
use the huge global heap for access to all extended and virtual
memory. Turbo Pascal programmers can optionally link units directly
into their executable files.

Complete Source Code, Expert Support, and No Royalties
------------------------------------------------------
Win/Sys Library includes comprehensive documentation with plenty of
working example programs. A Windows-compatible help file offers popup
help for all of the routines. You get expert telephone and CompuServe
support at no extra charge. Full source code is included and you pay
no royalties. (DLL source code is written in Turbo Pascal and inline
assembly language. Interface modules are written in Pascal and C/C++.)

System and Software Requirements
--------------------------------
Software: Turbo Pascal for Windows 1.5, Borland Pascal 7.0, Borland
C++ 3.1 or 4.0, Turbo C++ for Windows 3.1, Microsoft C/C++ 7.0, or
Microsoft Visual C++ 1.0 or 1.5. Microsoft Windows version 3.0 or
later. Hardware: a PC compatible capable of running in Standard or
Enhanced mode, with at least 3 megabytes of free disk space.

Price and Shipping Info
-----------------------
Win/Sys Library costs $149.

TurboPower Software offers the Electronic Maintenance System, which
delivers maintenance updates at no charge other than the cost of a
download. More information about the EMS is available in the file
UPDATE.TXT.

For more information, or to order, call 1-800-333-4160 from 9am to 5pm
Mountain time, or write to TurboPower Software, P.O. Box 49009,
Colorado Springs, CO 80949. International customers call 719-260-9136.
Send faxes to 719-260-7151. Send CompuServe mail to 76004,2611. Visit
our CompuServe area in PCVENB section 6 (Pascal) or PCVENE section 1
(C/C++). We accept MasterCard, Visa, American Express, Discover, a
check in U.S. funds drawn on a U.S. bank, or COD (within U.S. only).

  Version 1.0
  3.5" media only
  Weight 3.0 pounds
  Price $149 plus shipping
      FedEx Economy   $10     U.S. only                 (2 days)
      Airmail          $5     U.S. only                 (3-10 days)
      Airmail         $10     Canada only               (3-10 days)
      Airmail         $20     Elsewhere                 (7-21 days)
